open All Channels
seplocked EVE Technology Lab
blankseplocked Yapeal PHP API library (revision 1203 branches/keys/)
 
This thread is older than 90 days and has been locked due to inactivity.


 
Pages: first : previous : ... 8 9 10 11 [12] 13 14 15 16 ... : last (24)

Author Topic

Johnathan Roark
Caldari
The Graduates
Morsus Mihi
Posted - 2009.10.04 20:41:00 - [331]
 

Originally by: ChillingEchos
Was wondering if anyone happened to have the solution to working around the killLogs flag field being set to zero except when its drones or cargo bay?

Found in :
/char/KillLog.xml.aspx

Results :
<rowset name="items" columns="typeID,flag,qtyDropped,qtyDestroyed">
<row typeID="3520" flag="0" qtyDropped="3" qtyDestroyed="1" />
<row typeID="12076" flag="0" qtyDropped="0" qtyDestroyed="1">
<rowset name="items" columns="typeID,flag,qtyDropped,qtyDestroyed">
<row typeID="12259" flag="0" qtyDropped="0" qtyDestroyed="1" />
<row typeID="1236" flag="0" qtyDropped="2" qtyDestroyed="1" />
<row typeID="2032" flag="0" qtyDropped="1" qtyDestroyed="1" />
</rowset>

Notice how all the flags are 0. in the more broad list there are only flag number 87 and 5 of which are drones and cargo bay items.

Check to see if its coming from the API this way. You can turn on file caching and look at it in the cache folders.

Originally by: ChillingEchos

While I'm at it. The yapeal sql for kill data uses the 'lft' 'lvl' 'rgt' fields to show the items. I may need to see if anyone can help me understand the intended use. I really cant help but to think that I may be having a glitch in my Yapeal install cause there are no "apparent" order to the results a couple will be ok and right in terms of how they were fitted on the ship then viola, gets scattered all over the place.



Look in the yapeal wiki about Hierarchical Data. The examples are for assets, but it applies to the killLog items as well.

ChillingEchos
Posted - 2009.10.04 21:33:00 - [332]
 

Ty for the info on hierarchy data, may take me a bit to still wrap my head around that (been one of those weeks)as I still fail to grasp the idea. no worries there...

as for the cache, yes, I already looked into that and yes the data is cached that way. the rowsets show in previous example came from the sources found on eve-dev, I found it kinda interesting that their examples showed the exact same results as do mine.

ChillingEchos
Posted - 2009.10.04 21:43:00 - [333]
 

Edited by: ChillingEchos on 04/10/2009 22:03:16
mk, maybe spoke too soon. I figured out the 'lft' 'rgt' ordering kew, thats kinda neat. However that is what I kinda figured it was for. My concerns tho, are how the example i'm showing in this screenshot are good from the start.

using ID 8403781
lft 1 : 30 (typeID 628) <- its good
lft 2 : 3 (typeID 455) <- yup, that's ok.

The rows are easy to follow as they appear to go from high slots to low slots until..

typeID 458 second to last on killID. its another high slot item totally out of place, unless there is a reason for this that I dont know about.

Screenshot of killLog
Found Here - Google Picasa

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.10.05 00:22:00 - [334]
 

Just like with assets the order of the items and locations isn't sorted come from the servers. It's common to have assets say in corp hangers at a station be in the order item, item, item, container, item, container, ... Razz From want I've seen the killlog seems to do the same thing. The only constant is if something is inside something else it will always be inside it's parent container but even between 2 different pulls the order of the containers and/or the things inside them can change.Rolling Eyes Welcome to the world of most DB systems where if you don't add any 'order by' clause you get it in some random order that even the DB designers couldn't tell you how it decided Smile Since we don't have anyway to pass an 'order by' to the API server and CCP didn't include any in their queries it was decided that Yapeal would 'pass the buck' on this too and let the developer using it decided how to handle the order after the data is in the local DB Twisted Evil At some point I might re-visit that part of the code and see about re-ordering at least the container vs the stacks of stuff. Probably it would end up like: container, container, ..., item, item, ... but doing that is a very low priory for now and unlikely to be done for a long time if ever.

ChillingEchos
Posted - 2009.10.05 22:40:00 - [335]
 

Mk, no problems there, thank for you responce.

So any idea where things might be going out of place as far as the flags?

Cheers

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.10.06 05:18:00 - [336]
 

Yapeal just stores them as it gets them. The flags are the locations where stuff was from which you can check what each means in the table here.
http://wiki.eve-id.net/API_Inventory_Flags

Scribbly
Posted - 2009.10.15 03:06:00 - [337]
 

Edited by: Scribbly on 15/10/2009 03:23:52
Edited by: Scribbly on 15/10/2009 03:16:04
Hi guys

I have been trying to reset up yapeal and have been having some difficulties.. I redownloaded by svncheckout and when browsing to setup.php I get the following error...Any ideas?

Fatal error: Call to undefined function elog() in /xxxsecret/install/setup.php on line 90

Has elog.php been removed? or common_paths.php changed so much that elog.php is no longer loading? Please help...I destroyed my old copy when install it :(

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.10.15 07:06:00 - [338]
 

Seems you've found some kind of bug that causing an uncaught exception and elog isn't being included soon enough to log it which cause another error Razz Try adding these lines to install/setup.php right after line 48 and see if at least it'll log the actual error that you're having so we can properly fix it so that exception gets caught.

/*
* Require elog file
*/
require_once('..' . DS . 'inc' . DS . 'elog.php');

Once we have a better idea what's the root cause of error I'll add fix to trunk for everyone.

Ariacus
Posted - 2009.10.15 07:22:00 - [339]
 

Was keen to try this out but getting the same error.
On my setup, it appears line 56 in common_paths.php has "$dir = realpath($incDir . '..');"
$incDir doesn't have a trailing separator, so changing it to this seems to work (so far...)
"$dir = realpath($incDir . DS . '..');"
I'll post a note on the Google Code site if setup seems to work Smile
Originally by: Scribbly
Edited by: Scribbly on 15/10/2009 03:23:52
Edited by: Scribbly on 15/10/2009 03:16:04
Hi guys

I have been trying to reset up yapeal and have been having some difficulties.. I redownloaded by svncheckout and when browsing to setup.php I get the following error...Any ideas?

Fatal error: Call to undefined function elog() in /xxxsecret/install/setup.php on line 90

Has elog.php been removed? or common_paths.php changed so much that elog.php is no longer loading? Please help...I destroyed my old copy when install it :(

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.10.15 16:00:00 - [340]
 

Thanks Ariacus for finding the bug seems when I committed that last one the changes I was making didn't all get saved to disk before I did it Embarassed I was trying to make sure I had a good 'off site' backup of my work before going on a trip in case something happened to the laptop I've been using as main development machine. As usual when doing those things in a hurry something got missed Razz

revision 904

Scribbly
Posted - 2009.10.16 01:01:00 - [341]
 

Guys.... Thanks for fixing that :)

I would like to make a donation of some kind? iskies ok? This app is just soo good, hope you guys continue to work on it. I imagine the API will only expand with the improvements CCP will be making with ingame mails, calendars, Dust 514 integration etc

Nick Partridge
Posted - 2009.10.16 11:43:00 - [342]
 

Hi Dragonaire.

A Quick question if I may.
Is there a way to get yapeal to autocheck during the API update cycles and update the details in utilRegsitered tables.

For instance a character changes corporation etc. ?

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.10.16 16:37:00 - [343]
 

Quote:
Is there a way to get yapeal to autocheck during the API update cycles and update the details in utilRegsitered tables.
It does do some changes now. Example if a eve account isn't paid up Embarassed and the APIs aren't available it does deactivate the user, chars, corp for that one so you don't get loads of API errors from the servers, etc.
As to having it update them with corp changes etc. there are several problems with that ie how do you handle when they change corps and in the old corp they were a director and use in RegisteredCorporation but in the new one they aren't or in their new corp some other char is set to do it should their information over write the existing? Depending on the application the answer can be different and that just one example. That why I've left those types of things out of Yapeal as it needs to be decided at the app developer level what to do and not in the library. I only very recently changed it to change isActive based on API errors because I'd changed the code in a way that it wasn't really possible to handle it any other way any longer. For some more example of why not to make how Yapeal of even your app to depend on the API for that type of stuff just look at the several thread in the forums here where people were using the APIs to add and remove people from their corp/alliance forums and when the API was down for patches etc everyone was dropped from their forums include in some cases the admin user Shocked One reason I took a path that used isActive was I didn't want a bug or any type of logic error on mine or someone else's part to be able to screw those tables up because they are so important to how everything works. It's one thing to use the API information to say prompt an admin that they should update the information and even offer to do it for them but to do so without their knowledge is asking for problems IMHO Wink

Nick Partridge
Posted - 2009.10.17 10:54:00 - [344]
 

Yeah fair point.

I can write a back end checker to run as a cron job for it and just disable the inputs.

Just thought i would check i wasnt missing an intended function :-)

Damn its good.
I just need to integrate that chaps additional eve central bits and its completed for me :-)

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.10.27 18:32:00 - [345]
 

Hi all,
Thought I'd let everyone have a look at something I've been working on. I've been working at a replacement for the current install system used by Yapeal.The current system was largely the work of Satis Iqulenax and has been a great help in making Yapeal easier to install and setup which I have no doubt helped to make it more popular. Satis has done a great job with it and has been one of the best programmers I've worked with and has done a good job keeping up with the very demanding work load in Yapeal and not just on the installer but help on many other things with Yapeal. Unfortunately Satis has had to move on to some other Eve related projects for his corporation and others.

That leaves me with the task of keeping the installer up to date and change it as Yapeal changes that Satis use to do. In getting up to speed on the code it reminded me of several things I'd always want in the installer but we'd never got around to doing. One thing that had always bothered me is it was web base but Yapeal is really a library that is meant to be run from a CLI. Nothing in it required a web server except the installer and there was no install/configure help if you did install it on a computer without a webserver. So after think on that and some other issues with it I decided to go a different way and switch to a commercial installer that provides free licenses to open source projects. It's called Bitrock InstallBuilder and I release a early ALPHA test installer examples in the download section of Yapeal's website for people to try. I need to cut this post short as I'm running late for work but I would like some feed back on what people think of it so far.

KtoJest
Minmatar
Silkroad Partners
Posted - 2009.10.31 18:38:00 - [346]
 

thanks for the package...elegant.

just went through a successful svn install.

i can download char data for multiple accounts

but i cannot download corp data.

none of the yapeal logs show any errors (only 'date_default_timezone_set() function' missing)

the eve API access log does not show any attempt to get corp data.

utilRegisteredCorporation has a record with the proper charid ie priveleges, it is set active.

what am i missing?
can someone point me in the right direction?

thanx

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.11.01 06:22:00 - [347]
 

Make sure you're running at least PHP version 5.2.1 or later and that the date extension is installed.

KtoJest
Minmatar
Silkroad Partners
Posted - 2009.11.01 07:28:00 - [348]
 

thanx for the response.

topic: no corp data download

phpinfo():
PHP Version 5.3.1RC3-dev

phpinfo() - Date
Default timezone Europe/Berlin
(i've used the timezone function in some of my own coding so it seems to be installed)

yapeal db: activeapi field in corp record: AccountBalance AssetList MarketOrders WalletJournal WalletTransactions

where do i go from here?

Johnathan Roark
Caldari
The Graduates
Morsus Mihi
Posted - 2009.11.01 08:47:00 - [349]
 

Originally by: KtoJest
thanx for the response.

topic: no corp data download

phpinfo():
PHP Version 5.3.1RC3-dev

phpinfo() - Date
Default timezone Europe/Berlin
(i've used the timezone function in some of my own coding so it seems to be installed)

yapeal db: activeapi field in corp record: AccountBalance AssetList MarketOrders WalletJournal WalletTransactions

where do i go from here?


Is the associated character in the database? also try setting it to active and see if it pulls your corp data? Also check the UtilSections table.

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.11.01 08:49:00 - [350]
 

Look at activeAPI, isActive in utilSections as it will override utilRegisteredCorporation. Make sure you increase the logging also as it might give more information about what's going wrong. Just to let you know Yapeal hasn't been tested with PHP 5.3.x at all so it could have something to do with that as well.

KtoJest
Minmatar
Silkroad Partners
Posted - 2009.11.01 09:30:00 - [351]
 

thanks to the 2 of you.

Quote:
Look at activeAPI, isActive in utilSections as it will override utilRegisteredCorporation.


this was not set to 1.

the best-

Nevangalar
Posted - 2009.11.03 13:50:00 - [352]
 

Hi there,
first of all great AP!

Now i need a bit help.

After installing i got this error:
Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/php_xsl.dll' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/php_xsl.dll: cannot open shared object file: No such file or directory in Unknown on line 0

On a centos 5.2 linux server i need some .dll 's ?! Erm..Confused

Someone got an idea?

/Nev

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.11.03 15:09:00 - [353]
 

My guess is you some how ended up with a php.ini file made for PHP on Windows onto your Linux server. Try changing any lines that look like extension=php_xsl.dll to extension=php_xsl.so and see if it works. This is more a problem with your PHP setup then having to do with Yapeal and might be better to get help on a Centos forum for it. BTW Yapeal doesn't use XSL so could just comment out that line but you'll probably still have some other problems if your php.ini file isn't right.

Liam Fremen
Insurgent New Eden Tribe
RAZOR Alliance
Posted - 2009.11.05 08:21:00 - [354]
 


Hello m8

My corporation is using this tool from precisely 1 year, even if we never followed the updates correctly we have a lot of data for developing our internal softwares.

Now i have a big problem, i have moved all my stuff on a new webserver, sadly it runs plesk 9.2 and php 5.2.0, yapeal say that 5.2.1 is required... since i have spoke with the web server provider and they refused to update the php since it's "linked" to the plesk installation and sadly, i must keep plesk running smoothly, there is any way to make yapeal work on php 5.2.0?

Thanks

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.11.05 18:08:00 - [355]
 

Glad to hear you've found Yapeal useful.

It's been a while since I looked at why I set 5.2.1 as minimum but I believe it was because there's a bug in SimpleXML that was cause problems with any version before that.Sad Since all the API parsing is done with SimpleXML it would make it hard to work around. It is possible that changes I've made to Yapeal since then have made the problems I was having go away but I think it was something that couldn't really be worked around or I would have done so at the time of course.

There is another way for you or anyone else to work around problems like this with your hosting sites CHOOSING to put your site at risk by staying with older versions that have know bugs and security issues. If you have the HD space you can install your own copy of PHP. This can work with Yapeal because it's really a console application and you can just use a full path to PHP in the crontab. I.E. something like
* * * * * /path/to/private/php /path/to/yapeal/yapeal.php

If you decide to go that route make sure the version of PHP you get is made for your host's distro version or is statically linked so it can run anywhere. One place you can find statically linked versions of a full LAMP (Linux Apache MySql PHP) stack or WAMP (same for Windows) is at http://bitnami.org/ which is made just for these types of problems to help you work around them. There are other similar packages out there but I found this one because it uses the same BitRock InstallBuilder that I'm now planning on using as Yapeal's installer once I'm finished learning to use it.

Hope this gives you some ideas how to go forward from here.

Liam Fremen
Insurgent New Eden Tribe
RAZOR Alliance
Posted - 2009.11.06 14:15:00 - [356]
 

Edited by: Liam Fremen on 06/11/2009 15:19:09
Edited by: Liam Fremen on 06/11/2009 14:22:18
Originally by: Dragonaire
Glad to hear you've found Yapeal useful.

It's been a while since I looked at why I set 5.2.1 as minimum but I believe it was because there's a bug in SimpleXML that was cause problems with any version before that.Sad Since all the API parsing is done with SimpleXML it would make it hard to work around. It is possible that changes I've made to Yapeal since then have made the problems I was having go away but I think it was something that couldn't really be worked around or I would have done so at the time of course.

There is another way for you or anyone else to work around problems like this with your hosting sites CHOOSING to put your site at risk by staying with older versions that have know bugs and security issues. If you have the HD space you can install your own copy of PHP. This can work with Yapeal because it's really a console application and you can just use a full path to PHP in the crontab. I.E. something like
* * * * * /path/to/private/php /path/to/yapeal/yapeal.php

If you decide to go that route make sure the version of PHP you get is made for your host's distro version or is statically linked so it can run anywhere. One place you can find statically linked versions of a full LAMP (Linux Apache MySql PHP) stack or WAMP (same for Windows) is at http://bitnami.org/ which is made just for these types of problems to help you work around them. There are other similar packages out there but I found this one because it uses the same BitRock InstallBuilder that I'm now planning on using as Yapeal's installer once I'm finished learning to use it.

Hope this gives you some ideas how to go forward from here.


I'm very sad about this issue since i'm loosing data even right now being 1-2 days that yapeal is not updating stuff... :(

Considering the actual situation, we could install ONLY a new debian version of php, under a different account, and just running yapeal over it... i don't like at all this situation.. i would prefer a different approach, considering i have a windows server 2008 machine with mysql installed could be a viable option to use your "windows" version and run it under the windows machine? actually the software that we use for corp management is written in asp.net, and i used to take data from the linux machine on the same net.

Can you give me some suggestions on how make yapeal work on my windows machine? i have windows server 2008 and IIS7 with php 5.2.11 installed (but not yet configured).

PS: do you have any other contact for speaking with you? i need to ask you some questions.. thanks

UPDATE: !!!!

I copied the old version of yapeal on the windows web server after setting up php under fast-cgi, tweaked the ini file and it worked under console, the main problem is that i have a VERY old version, still using "eve-api-pull.php" and i don't know how to update it to a new version lol...

The php problem is solved now i need to update this extremely old thing from more then 1 year ago..

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.11.06 19:21:00 - [357]
 

Best way to contact me direct for stuff you don't want to have in the thread would be through G-mail to the Yapeal project owner's account and we can get together via G-talk etc from there.

To run Yapeal on Windows I would suggest you install the stack from http://bitnami.org/ which has Apache, MySQL, and PHP and I've done some test on and seems to work. The other option is the setup as outlined on the Yapeal wiki as it's also been tested and work though some of the instructions maybe a little out of date.

Yapeal may work with what you have already with IIS7 but it is an un-test setup. Remember the only part of it that needs a webserver at this point in Yapeal is the old installer and you can do everything it does manual instead if need be.

Updating from a year old version of Yapeal to the current version I'm sure can be done but is not going to be easy depending on which tables you are using etc. There has been several updates to the DB table structures etc which will have to be worked out but can be done by anyone that is good with MySQL DB design. My first suggestion would be to backup your current DB and then back it up a couple more times some where else just in case Wink then put together the SQL needed to move the data from the old DB into a new one with the current table setup. I can help provide some pointers on that part but it probably would be best if you have someone else to help you with that as my time is somewhat limited right now.

BTW stay with using the trunk from svn as the other download versions are "ALPHA" and not ready to be used in a production server really as it doesn't fully install and setup Yapeal and was only put out for people to make comments on what they thought of it etc. I'm still working on it and hope to finish something that can be use soon(tm) but I've been limit on time to work on it and want to make sure it's as bug free as can be before I try have people switch over to it as an option.

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.11.15 02:21:00 - [358]
 

Hi everyone,
After doing an upgrade from OpenSuSE 11.1 to the new OpenSuSE 11.2 I started noticing some new messages in the logs about time zones not being set etc. Don't know if it just related to something in PHP5.3 which I'm now running or (more likely really) that there's been a small change in the default php.ini file they use but it has highlighted something I was not explicitly setting either for PHP or in MySQL connection that probably should be. I've now setting both to use UTC/GMT which should take care of any issues it might have been causing.

In other news the new installer is coming along nicely if a bit slower then I had planned. I've been adding checks that we never did/thought of before in the old installer but instead were making assumptions about. I'm trying to keep the simplicity from the old while adding a lot more options for those that want/need the extra control which isn't an easy task Wink I'll try to have something that could be called an early beta out in the next few weeks as RL allows.

revision 919

KtoJest
Minmatar
Silkroad Partners
Posted - 2009.11.15 09:36:00 - [359]
 

i think this is a php 'thing'. i remember getting some time zone messages from Yapeal.

how to u like the 'dolphin' ? ;)
i liked it so much that i switched to gnome. lol

Dragonaire
Caldari
Corax.
PURgE Alliance
Posted - 2009.11.15 19:53:00 - [360]
 

I've been using openSuSE from when they were still just SuSE (version 5.x) and have learned to adapt as it changes. I've always preferred KDE but do use some apps from Gnome too. One reason I've always liked openSuSE is I don't have to choose to only use one or the other like some other popular distros make you do. Dolphin works good once you understand it and tweak it to your liking. I have to do the same with Windows etc to as the common defaults are just stupid IMHO. I've always liked this little commentary about OSes and using them Smile
http://www.zyra.org.uk/os-air.htm

I will say that 11.2 is much improved over 11.1 was and other than having to download the driver for my video card before my desktop worked correctly the install was very easy. I was able to have everything mostly tweaked to my liking and able to get back to doing useful stuff within only a few hours where often it can take me a couple days with Windows Razz


Pages: first : previous : ... 8 9 10 11 [12] 13 14 15 16 ... : last (24)

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only